### robocode

# Class WinEvent

- `java.lang.Object`
- - `robocode.Event`
  - - `robocode.WinEvent`

Implemented Interfaces:
  Comparable, Serializable

`public final class WinEvent`
`extends Event`

This event is sent to `onWin()` when your robot wins the round in a battle.

Author:
  Mathew A. Nelson (original)

  ## Constructor Summary

  `WinEvent()`
    Called by the game to create a new WinEvent.

  ## Method Summary

  `@Override`

  `int getPriority()`

  ### Methods inherited from class robocode.Event

  `compareTo`, `getPriority`, `getTime`

## Constructor Details

### WinEvent

    public WinEvent()

> Called by the game to create a new WinEvent.

## Method Details

### int getPriority

    public final @Override int getPriority()